# Interface methods for submodule: MapContainer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import CellInterfaceProxy as _CellInterfaceProxy, QuadEdgeMeshPointProxy as _QuadEdgeMeshPointProxy, RGBAPixelProxy as _RGBAPixelProxy, ObjectProxy as _ObjectProxy


# Interface methods for class: MapContainer
class MapContainerProxy(_CellInterfaceProxy, _QuadEdgeMeshPointProxy, _RGBAPixelProxy, _ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def CastToSTLContainer(self):
		""""""
		...

	def CastToSTLConstContainer(self):
		""""""
		...

	@overload
	def ElementAt(self, arg0: int) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def ElementAt(self, arg0: int) -> str:
		""""""
		...

	@overload
	def ElementAt(self, arg0: int) -> float:
		""""""
		...

	@overload
	def ElementAt(self, arg0: int) -> Sequence[float]:
		""""""
		...

	@overload
	def ElementAt(self, arg0: int):
		""""""
		...

	@overload
	def CreateElementAt(self, arg0: int) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def CreateElementAt(self, arg0: int) -> str:
		""""""
		...

	@overload
	def CreateElementAt(self, arg0: int) -> float:
		""""""
		...

	@overload
	def CreateElementAt(self, arg0: int) -> Sequence[float]:
		""""""
		...

	@overload
	def CreateElementAt(self, arg0: int):
		""""""
		...

	@overload
	def GetElement(self, arg0: int) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def GetElement(self, arg0: int) -> str:
		""""""
		...

	@overload
	def GetElement(self, arg0: int) -> float:
		""""""
		...

	@overload
	def GetElement(self, arg0: int) -> Sequence[float]:
		""""""
		...

	@overload
	def GetElement(self, arg0: int):
		""""""
		...

	@overload
	def SetElement(self, arg0: int, arg1: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetElement(self, arg0: int, arg1: str) -> None:
		""""""
		...

	@overload
	def SetElement(self, arg0: int, arg1: float) -> None:
		""""""
		...

	@overload
	def SetElement(self, arg0: int, arg1: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetElement(self, arg0: int, arg1) -> None:
		""""""
		...

	@overload
	def InsertElement(self, arg0: int, arg1: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def InsertElement(self, arg0: int, arg1: str) -> None:
		""""""
		...

	@overload
	def InsertElement(self, arg0: int, arg1: float) -> None:
		""""""
		...

	@overload
	def InsertElement(self, arg0: int, arg1: Sequence[float]) -> None:
		""""""
		...

	@overload
	def InsertElement(self, arg0: int, arg1) -> None:
		""""""
		...

	def IndexExists(self, arg0: int) -> bool:
		""""""
		...

	def GetElementIfIndexExists(self, arg0: int, arg1) -> bool:
		""""""
		...

	def CreateIndex(self, arg0: int) -> None:
		""""""
		...

	def DeleteIndex(self, arg0: int) -> None:
		""""""
		...

	def Size(self) -> int:
		""""""
		...

	def Reserve(self, arg0: int) -> None:
		""""""
		...

	def Squeeze(self) -> None:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

